> ## Documentation Index
> Fetch the complete documentation index at: https://developers.fireblocks.com/llms.txt
> Use this file to discover all available pages before exploring further.

<AgentInstructions>

## Submitting Feedback

If you encounter incorrect, outdated, or confusing documentation on this page, submit feedback:

POST https://developers.fireblocks.com/feedback

```json
{
  "path": "/api-reference/vaults/get-max-spendable-amount-in-a-transaction",
  "feedback": "Description of the issue"
}
```

Only submit feedback when you have something specific and actionable to report.

</AgentInstructions>

# Get max spendable amount in a transaction

> **UTXO assets only.**

Retrieve the maximum amount of the specified asset that can be spent in a single transaction from the specified vault account.

**Endpoint Permissions:** Admin, Non-Signing Admin, Signer, Approver, Editor, Viewer.




## OpenAPI

````yaml https://docs.fireblocks.com/api/v1/swagger.yaml get /vault/accounts/{vaultAccountId}/{assetId}/max_spendable_amount
openapi: 3.0.0
info:
  title: Fireblocks API
  description: >
    Fireblocks provides a suite of applications to manage digital asset
    operations and a complete development platform to build your business on the
    blockchain.


    - Visit our website for more information: [Fireblocks
    Website](https://fireblocks.com)

    - Visit our developer docs: [Fireblocks
    DevPortal](https://developers.fireblocks.com)
  version: 1.6.2
  contact:
    email: developers@fireblocks.com
servers:
  - url: https://api.fireblocks.io/v1
    description: Fireblocks Production Environment Base URL
  - url: https://sandbox-api.fireblocks.io/v1
    description: Fireblocks Sandbox Environment Base URL
security: []
paths:
  /vault/accounts/{vaultAccountId}/{assetId}/max_spendable_amount:
    get:
      tags:
        - Vaults
      summary: Get max spendable amount in a transaction
      description: >
        **UTXO assets only.**


        Retrieve the maximum amount of the specified asset that can be spent in
        a single transaction from the specified vault account.


        **Endpoint Permissions:** Admin, Non-Signing Admin, Signer, Approver,
        Editor, Viewer.
      operationId: getMaxSpendableAmount
      parameters:
        - in: path
          name: vaultAccountId
          required: true
          description: >-
            The ID of the vault account, or 'default' for the default vault
            account
          schema:
            type: string
            format: numeric
            x-fb-entity: vault_account
        - in: path
          name: assetId
          required: true
          description: The ID of the asset
          schema:
            type: string
            x-fb-entity: asset
        - in: query
          name: manualSignging
          required: false
          description: >-
            False by default. The maximum number of inputs depends if the
            transaction will be signed by an automated co-signer server or on a
            mobile device.
          schema:
            type: boolean
      responses:
        '200':
          description: OK
          headers:
            X-Request-ID:
              $ref: '#/components/headers/X-Request-ID'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetMaxSpendableAmountResponse'
        default:
          $ref: '#/components/responses/Error'
      x-codeSamples:
        - lang: TypeScript
          source: >-
            const response:
            Promise<FireblocksResponse<GetMaxSpendableAmountResponse>> =
            fireblocks.vaults.getMaxSpendableAmount(vaultsApiGetMaxSpendableAmountRequest);
        - lang: Java
          source: >-
            CompletableFuture<ApiResponse<GetMaxSpendableAmountResponse>>
            response = fireblocks.vaults().getMaxSpendableAmount(vaultAccountId,
            assetId, manualSignging);
        - lang: Python
          source: >-
            response =
            fireblocks.vaults.get_max_spendable_amount(vault_account_id,
            asset_id, manual_signging);
components:
  headers:
    X-Request-ID:
      schema:
        type: string
      description: >-
        Unique ID correlated to the API request. Please provide it in any
        support ticket you create or on Github issues related to Fireblocks SDKs
  schemas:
    GetMaxSpendableAmountResponse:
      type: object
      properties:
        maxSpendableAmount:
          type: string
          description: The maximum amount that can be spent from the vault account
    ErrorSchema:
      type: object
      properties:
        message:
          type: string
        code:
          type: number
  responses:
    Error:
      description: Error Response
      headers:
        X-Request-ID:
          $ref: '#/components/headers/X-Request-ID'
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorSchema'

````